﻿<%@ WebHandler Language="VB" Class="HandlerVB" %>

Imports System
Imports System.Web
Imports System.IO

Public Class HandlerVB : Implements IHttpHandler
    Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
        If Not String.IsNullOrEmpty(context.Request.QueryString("FileName")) Then
            Dim filePath As String = "D:\Images\"
            Dim fileName As String = context.Request.QueryString("FileName")
            Dim contentType As String = "image/" & Path.GetExtension(fileName).Replace(".", "")
            Using fs As FileStream = New FileStream(filePath & fileName, FileMode.Open, FileAccess.Read)
                Using br As BinaryReader = New BinaryReader(fs)
                    ' Read the file and convert it to Byte Array.
                    Dim bytes As Byte() = br.ReadBytes(Convert.ToInt32(fs.Length))
                    br.Close()
                    fs.Close()

                    ' Write the file to response Stream.
                    context.Response.ContentType = contentType
                    context.Response.BinaryWrite(bytes)
                    context.Response.End()
                End Using
            End Using
        End If
    End Sub

    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
            Return False
        End Get
    End Property
End Class